### Method

# Ide Buffer save_file_finish

#### Declaration

    gboolean
    ide_buffer_save_file_finish (
      IdeBuffer* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to save the buffer via ide_buffer_save_file_async().

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.